var hardware =
[
    [ "Platform specific audio resolution", "group__audio__output.html#audio_shifting", null ],
    [ "Configuring Mozzi", "group__config.html#config_general", null ],
    [ "Mozzi on classic Arduino, Teensy 2.x, Arduino Mega, and other 8 bit \"AVR\"/ATMEGA architecture boards", "hardware_avr.html", [
      [ "Port status and notes", "hardware_avr.html#avr_status", null ],
      [ "Output modes", "hardware_avr.html#avr_output", null ],
      [ "MOZZI_OUTPUT_PWM", "hardware_avr.html#avr_pwm", null ],
      [ "MOZZI_OUTPUT_2PIN_PWM", "hardware_avr.html#avr_2pin_pwm", null ],
      [ "MOZZI_OUTPUT_EXTERNAL_TIMED and MOZZI_OUTPUT_EXTERNAL_CUSTOM", "hardware_avr.html#avr_external", null ]
    ] ],
    [ "Mozzi on ESP32-based boards.", "hardware_esp32.html", [
      [ "Port status and notes", "hardware_esp32.html#esp32_status", null ],
      [ "Output modes", "hardware_esp32.html#esp32_output", null ],
      [ "MOZZI_OUTPUT_INTERNAL_DAC", "hardware_esp32.html#esp32_internal_dac", null ],
      [ "MOZZI_OUTPUT_I2S_DAC", "hardware_esp32.html#esp32_i2s_dac", null ],
      [ "MOZZI_OUTPUT_PDM_VIA_I2S", "hardware_esp32.html#esp32_pdm_via_i2s", null ],
      [ "MOZZI_OUTPUT_EXTERNAL_TIMED and MOZZI_OUTPUT_EXTERNAL_CUSTOM", "hardware_esp32.html#esp32_external", null ]
    ] ],
    [ "Mozzi on ESP32-based boards.", "hardware_esp8266.html", [
      [ "Port status and notes", "hardware_esp8266.html#esp8266_status", null ],
      [ "Output modes", "hardware_esp8266.html#esp8266_output", null ],
      [ "MOZZI_OUTPUT_PDM_VIA_SERIAL", "hardware_esp8266.html#esp8266_pdm_via_serial", null ],
      [ "MOZZI_OUTPUT_I2S_DAC", "hardware_esp8266.html#esp8266_i2s_dac", null ],
      [ "MOZZI_OUTPUT_EXTERNAL_TIMED and MOZZI_OUTPUT_EXTERNAL_CUSTOM", "hardware_esp8266.html#esp8266_external", null ]
    ] ],
    [ "Mozzi on MBED-based boards (Arduino Giga / Portenta).", "hardware_mbed.html", [
      [ "Port status and notes", "hardware_mbed.html#mbed_status", null ],
      [ "Output modes", "hardware_mbed.html#mbed_output", null ],
      [ "MOZZI_OUTPUT_INTERNAL_DAC", "hardware_mbed.html#mbed_internal_dac", null ],
      [ "MOZZI_PDM_VIA_SERIAL", "hardware_mbed.html#mbed_pdm_via_serial", null ],
      [ "MOZZI_OUTPUT_EXTERNAL_TIMED and MOZZI_OUTPUT_EXTERNAL_CUSTOM", "hardware_mbed.html#mbed_external", null ]
    ] ],
    [ "Mozzi on Arduino Uno R4 - Renesas.", "hardware_renesas.html", [
      [ "Port status and notes", "hardware_renesas.html#renesas_status", null ],
      [ "Output modes", "hardware_renesas.html#rensesas_output", null ],
      [ "MOZZI_OUTPUT_INTERNAL_DAC", "hardware_renesas.html#renesas_internal_dac", null ],
      [ "MOZZI_OUTPUT_EXTERNAL_TIMED and MOZZI_OUTPUT_EXTERNAL_CUSTOM", "hardware_renesas.html#renesas_external", null ]
    ] ],
    [ "Mozzi on RP2040 (Raspberry Pi Pico)", "hardware_rp2040.html", [
      [ "Port status and notes", "hardware_rp2040.html#rp2040_status", null ],
      [ "Output modes", "hardware_rp2040.html#rp2040_output", null ],
      [ "MOZZI_OUTPUT_PWM", "hardware_rp2040.html#rp2040_pwm", null ],
      [ "MOZZI_OUTPUT_I2S_DAC", "hardware_rp2040.html#rp2040_i2s_dac", null ],
      [ "MOZZI_OUTPUT_EXTERNAL_TIMED and MOZZI_OUTPUT_EXTERNAL_CUSTOM", "hardware_rp2040.html#rp2040_external", null ]
    ] ],
    [ "Mozzi on SAMD21 based boards (Arduino Circuitplayground M0 and others)", "hardware_samd.html", [
      [ "Port status and notes", "hardware_samd.html#samd_status", null ]
    ] ],
    [ "Mozzi on STM32duino-based boards.", "hardware_stm32duino.html", [
      [ "Port status and usage notes", "hardware_stm32duino.html#stm32duino_status", null ],
      [ "Output modes", "hardware_stm32duino.html#stm32duino_output_modes", null ],
      [ "MOZZI_OUTPUT_PWM", "hardware_stm32duino.html#stm32duino_pwm", null ],
      [ "MOZZI_OUTPUT_EXTERNAL_TIMED and MOZZI_OUTPUT_EXTERNAL_CUSTOM", "hardware_stm32duino.html#stm32duino_external", null ]
    ] ],
    [ "Mozzi on STM32-boards with libmaple based core.", "hardware_stm32_maple.html", [
      [ "Status and peculiarities of this port", "hardware_stm32_maple.html#stm32_maple_status", null ],
      [ "Output modes", "hardware_stm32_maple.html#stm32_output_modes", null ],
      [ "MOZZI_OUTPUT_PWM", "hardware_stm32_maple.html#stm32_maple_pwm", null ],
      [ "MOZZI_OUTPUT_2PIN_PWM", "hardware_stm32_maple.html#stm32_maple_2pin_pwm", null ],
      [ "MOZZI_OUTPUT_EXTERNAL_TIMED and MOZZI_OUTPUT_EXTERNAL_CUSTOM", "hardware_stm32_maple.html#stm32_maple_external", null ]
    ] ],
    [ "Mozzi on STM32-based boards - disambiguation", "hardware_stm32_disambiguation.html", null ],
    [ "Mozzi on Teensy 3.0/3.1/3.2/3.4/3.5/LC boards.", "hardware_teensy3.html", [
      [ "Port status and ussage notes", "hardware_teensy3.html#teensy3_status", null ],
      [ "Output modes", "hardware_teensy3.html#teensy3_output", null ],
      [ "MOZZI_OUTPUT_INTERNAL_DAC", "hardware_teensy3.html#teensy3_internal_dac", null ],
      [ "MOZZI_OUTPUT_EXTERNAL_TIMED and MOZZI_OUTPUT_EXTERNAL_CUSTOM", "hardware_teensy3.html#teensy3_external", null ]
    ] ],
    [ "Mozzi on Teensy 4.x boards.", "hardware_teensy4.html", [
      [ "Port status and ussage notes", "hardware_teensy4.html#teensy4_status", null ],
      [ "MOZZI_OUTPUT_PWM", "hardware_teensy4.html#teensy4_pwm", null ],
      [ "MOZZI_OUTPUT_EXTERNAL_TIMED and MOZZI_OUTPUT_EXTERNAL_CUSTOM", "hardware_teensy4.html#teensy4_external", null ]
    ] ]
];